---
type: api
title: Get exception lists
description: Get a list of all exception list containers.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v0/operation/operation-findexceptionlists
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v0/operation/operation-findexceptionlists
products:
  - Kibana
---

# Get exception lists

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/exception_lists/_find`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v0/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v0/authentication#basicauth)

## Description

Get a list of all exception list containers.

## Query String Parameters

- `filter` (string)
  Filters the returned results according to the value of the specified field.

Uses the `so type.field name:field` value syntax, where `so type` can be:

- `exception-list`: Specify a space-aware exception list.
- `exception-list-agnostic`: Specify an exception list that is shared across spaces.
- `namespace_type` ([] enum  · default: [
  "single"
])
  Determines whether the returned containers are Kibana associated with a Kibana space
or available in all spaces (`agnostic` or `single`)
  Values: `agnostic`, `single`
- `page` (integer · min: 1)
  The page number to return
- `per_page` (integer · min: 1)
  The number of exception lists to return per page
- `sort_field` (string)
  Determines which field is used to sort the results.
- `sort_order` (enum)
  Determines the sort order, which can be `desc` or `asc`.
  Values: `desc`, `asc`

## Responses

#### `200`

Successful response

`application/json`

- `data` ([] object)
  - `_version` (string)
    The version id, normally returned by the API when the item was retrieved. Use it ensure updates are done against the latest version.
  - `created_at` (string)
    Autogenerated date of object creation.
  - `created_by` (string)
    Autogenerated value - user that created object.
  - `description` (string)
    Describes the exception list.
  - `id` (string · min: 1)
    Exception list's identifier.
  - `immutable` (boolean)
  - `list_id` (string · min: 1)
    The exception list's human-readable string identifier.

For endpoint artifacts, use one of the following values:

* `endpoint_list`: Elastic Endpoint exceptions list
* `endpoint_trusted_apps`: Trusted applications list
* `endpoint_trusted_devices`: Trusted devices list
* `endpoint_event_filters`: Event filters list
* `endpoint_host_isolation_exceptions`: Host isolation exceptions list
* `endpoint_blocklists`: Blocklist
  - `meta` (object)
    Placeholder for metadata about the list container.
  - `name` (string)
    The name of the exception list.
  - `namespace_type` (enum)
    Determines whether the exception container is available in all Kibana spaces or just the space
in which it is created, where:

- `single`: Only available in the Kibana space in which it is created.
- `agnostic`: Available in all Kibana spaces.

For endpoint artifacts, the `namespace_type` must always be `agnostic`. Space awareness for endpoint artifacts is enforced based on Elastic Defend policy assignments.
    Values: `agnostic`, `single`
  - `os_types` ([] object)
    Use this field to specify the operating system. Only enter one value.
    Values: `linux`, `macos`, `windows`
  - `tags` ([] object)
    String array containing words and phrases to help categorize exception containers.
  - `tie_breaker_id` (string)
    Field used in search to ensure all containers are sorted and returned correctly.
  - `type` (enum)
    The type of exception list to be created. Different list types may denote where they can be utilized.
    Values: `detection`, `rule_default`, `endpoint`, `endpoint_trusted_apps`, `endpoint_trusted_devices`, `endpoint_events`, `endpoint_host_isolation_exceptions`, `endpoint_blocklists`, `endpoint_custom_yara_signatures`
  - `updated_at` (string)
    Autogenerated date of last object update.
  - `updated_by` (string)
    Autogenerated value - user that last updated object.
  - `version` (integer · min: 1)
    The document version, automatically increasd on updates.
- `page` (integer · min: 1)
- `per_page` (integer · min: 1)
- `total` (integer · min: 0)
#### `400`

Invalid input data response

`application/json`

One of:
- **PlatformErrorResponse**
  - `error` (string)
  - `message` (string)
  - `statusCode` (integer)
- **SiemErrorResponse**
  - `message` (string)
  - `status_code` (integer)
#### `401`

Unsuccessful authentication response

`application/json`

- `error` (string)
- `message` (string)
- `statusCode` (integer)
#### `403`

Not enough privileges response

`application/json`

- `error` (string)
- `message` (string)
- `statusCode` (integer)
#### `500`

Internal server error response

`application/json`

- `message` (string)
- `status_code` (integer)
## Code Examples

#### Console

```console
GET /api/exception_lists/_find
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/exception_lists/_find"
```

## Response Examples

#### Simple lists

```json
{
  "data": [
    {
      "_version": "WzIsMV0=",
      "created_at": "2025-01-07T19:34:27.942Z",
      "created_by": "elastic",
      "description": "This is a sample detection type exception list.",
      "id": "9e5fc75a-a3da-46c5-96e3-a2ec59c6bb85",
      "immutable": false,
      "list_id": "simple_list",
      "name": "Detection Exception List",
      "namespace_type": "single",
      "os_types": [],
      "tags": [
        "malware"
      ],
      "tie_breaker_id": "78f1aca1-f8ee-4eb5-9ceb-f5c3ee656cb3",
      "type": "detection",
      "updated_at": "2025-01-07T19:34:27.942Z",
      "updated_by": "elastic",
      "version": 1
    }
  ],
  "page": 1,
  "per_page": 20,
  "total": 1
}
```

#### Bad

```json
{
  "error": "Bad Request",
  "message": "[request query]: namespace_type.0: Invalid enum value. Expected \u0027agnostic\u0027 | \u0027single\u0027, received \u0027blob\u0027",
  "statusCode": 400
}
```

#### Unauthorized

```json
{
  "error": "Unauthorized",
  "message": "[security_exception\\n\\tRoot causes:\\n\\t\\tsecurity_exception: unable to authenticate user [elastic] for REST request [/_security/_authenticate]]: unable to authenticate user [elastic] for REST request [/_security/_authenticate]",
  "statusCode": 401
}
```

#### Forbidden

```json
{
  "error": "Forbidden",
  "message": "API [GET /api/exception_lists/_find?namespace_type=single] is unauthorized for user, this action is granted by the Kibana privileges [lists-read]",
  "statusCode": 403
}
```

#### Server error

```json
{
  "message": "Internal Server Error",
  "status_code": 500
}
```

